package model

import (
	"kpt-pasture/util"
	"time"

	pasturePb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/cow"
)

type WorkOrderList struct {
	Id           int64                 `json:"id"`
	CalendarId   int64                 `json:"calendarId"`
	Name         string                `json:"name"`
	CowId        int64                 `json:"cowId"`
	StartAt      int64                 `json:"startAt"`
	FinishAt     int64                 `json:"finishAt"`
	EndAt        int64                 `json:"endAt"`
	DisUserId    int64                 `json:"disUserId"`
	ExecUserId   int64                 `json:"execUserId"`
	IsCompletion pasturePb.IsShow_Kind `json:"isCompletion"`
	IsShow       pasturePb.IsShow_Kind `json:"isShow"`
	Remarks      string                `json:"remarks"`
	CreatedAt    int64                 `json:"createdAt"`
	UpdatedAt    int64                 `json:"updatedAt"`
}

func (w *WorkOrderList) TableName() string {
	return "work_order_list"
}

func NewWorkOrderList(name string, calendarId, cowId int64) *WorkOrderList {
	return &WorkOrderList{
		CalendarId:   calendarId,
		Name:         name,
		CowId:        cowId,
		StartAt:      util.TimeParseLocalUnix(time.Now().Format(LayoutDate2)),
		FinishAt:     0,
		EndAt:        0,
		DisUserId:    0,
		ExecUserId:   0,
		IsCompletion: pasturePb.IsShow_No,
		IsShow:       pasturePb.IsShow_Ok,
		Remarks:      "",
	}
}
